﻿Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Dim ds As New DataSet()
        Dim t1 As DataTable = ds.Tables.Add("table1")
        t1.Columns.Add("id", GetType(Integer)).AutoIncrement = True
        t1.Columns.Add("Name", GetType(String))
        t1.Columns.Add("Discounted", GetType(Boolean))
        t1.Columns.Add("Price", GetType(Double))
        t1.Columns.Add("In Stock", GetType(Boolean))

        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Beverage", True, 10.2, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Appliances", False, 90, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "FastFood", True, 32, False})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Furniture", False, 79, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Meat", True, 10.2, False})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Fruits", False, 12, False})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Vegetables", True, 13, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Cars", False, 200, False})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Tools", True, 15.3, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Estate", False, 3000, False})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Motorcycles", False, 320, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Clothes", True, 69, False})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Shoes", False, 40.6, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Games", True, 50, True})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Books", False, 22, False})
        ds.Tables("table1").Rows.Add(New [Object]() {Nothing, "Movies", True, 19, False})

        UltraGrid1.DataSource = ds
    End Sub

    Private Sub UltraGrid1_InitializeLayout(sender As Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout

        Dim discountedColumn As UltraGridColumn = e.Layout.Bands(0).Columns("Discounted")
        Dim inStockColumn As UltraGridColumn = e.Layout.Bands(0).Columns("In Stock")

        UltraGrid1.DisplayLayout.Override.DefaultRowHeight = 70

        Dim trueCond As New Infragistics.Win.OperatorCondition(Infragistics.Win.ConditionOperator.Equals, True)
        Dim falseCond As New Infragistics.Win.OperatorCondition(Infragistics.Win.ConditionOperator.Equals, False)


        Dim trueApp As New Infragistics.Win.Appearance() With {
         .ImageBackground = Image.FromFile("..\..\yes.ico"),
         .ImageVAlign = Infragistics.Win.VAlign.Middle,
         .ImageHAlign = Infragistics.Win.HAlign.Left
         }
        Dim falseApp As New Infragistics.Win.Appearance() With {
        .ImageBackground = Image.FromFile("..\..\no.ico"),
        .ImageVAlign = Infragistics.Win.VAlign.Middle,
        .ImageHAlign = Infragistics.Win.HAlign.Left
        }

        Dim valBasedApp = New Infragistics.Win.ConditionValueAppearance(New Infragistics.Win.ICondition() {trueCond, falseCond}, New Infragistics.Win.Appearance() {trueApp, falseApp})

        discountedColumn.AllowRowFiltering = DefaultableBoolean.True
        discountedColumn.ValueBasedAppearance = valBasedApp
        discountedColumn.Style = ColumnStyle.Image

        inStockColumn.AllowRowFiltering = DefaultableBoolean.True
        inStockColumn.ValueBasedAppearance = valBasedApp
        inStockColumn.Style = ColumnStyle.Image
    End Sub
End Class
